# BUYShippingRate Class Reference

Inherits from | BUYObject : NSObject
Conforms to | BUYSerializable
Declared in | BUYShippingRate.h

## Overview

BUYShippingRate represents the amount that the merchant is charging a customer for shipping to the specified address.

## Other Methods

### `shippingRateIdentifier`

A reference to the shipping method.

`@property (nonatomic, strong, readonly) NSString *shippingRateIdentifier`

#### Declared In

`BUYShippingRate.h`

### `title`

The shipping method name.

`@property (nonatomic, strong, readonly) NSString *title`

#### Declared In

`BUYShippingRate.h`

### `price`

The price of this shipping method.

`@property (nonatomic, strong, readonly) NSDecimalNumber *price`

#### Declared In

`BUYShippingRate.h`

### `deliveryRange`

One or two NSDate objects of the potential delivery dates.

`@property (nonatomic, strong, readonly) NSArray *deliveryRange`

#### Declared In

`BUYShippingRate.h`

## ApplePay Methods

### `+ buy_convertShippingRatesToShippingMethods:`

Returns an array of `PKShippingMethod` objects, based on Shopify’s shipping rates.

`+ (nonnull NSArray<PKShippingMethod*> *)buy_convertShippingRatesToShippingMethods:(nonnull NSArray<BUYShippingRate*> *)rates`

#### Parameters

`rates` | Shipping rates

#### Return Value

An array of PKShippingMethods

#### Declared In

`BUYApplePayAdditions.h`